Bug 1574662 - Drag and drop from caya to terminator-1.91-4.fc28 does nothing
Summary: Drag and drop from caya to terminator-1.91-4.fc28 does nothing
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: terminator
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matt Rose
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 19:24 UTC by Davide Repetto
Modified: 2020-05-18 20:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-18 20:05:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Davide Repetto 2018-05-03 19:24:53 UTC
Description of problem:
=======================
Drag and drop from caja to terminator-1.91-4.fc28 does nothing.
(it should paste path and filename)


Version-Release number of selected component (if applicable):
=============================================================
terminator-1.91-4.fc28.noarch


Additional info:
================

Downgrading terminator to F27 does not help and in F27 the drag/drop worked correctly.

Drag and drop from caja to other terminals and applications still works.

Comment 1 Didier 2019-01-09 15:46:28 UTC
Version : terminator-1.91-8.fc29.noarch

Not tested with caja, but drag and drop from e.g. firefox does nothing either.
This behaviour is described in https://bugs.launchpad.net/terminator/+bug/1781562, and is fixed by :

1506c1506
<         self.vte.feed_child(text, len(text))
---
>         self.vte.feed_child(text)

See also bz#1573927.

Comment 2 Didier 2019-01-09 15:51:37 UTC
Argh :
fix to be applied to /usr/lib/python2.7/site-packages/terminatorlib/terminal.py .

Comment 3 Davide Repetto 2019-01-11 09:43:52 UTC
Thanks for the fix, Didier!
I can confirm it works with Caja as well.

Comment 4 Didier 2019-09-13 10:04:26 UTC
This issue is still present in terminator-1.91-9.fc30.noarch, and is still confirmed fixed by the provided one-liner patch in comment#1.

Comment 5 Ben Cotton 2019-10-31 18:50:38 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Didier 2019-10-31 19:23:07 UTC
@Davide : to prevent this issue being drawn into the hole of Fedora 29 oblivion, can you please change the version to Fedora 30 ?

Comment 7 Bryan Mason 2019-12-03 19:00:52 UTC
Upstream bug, I think: https://bugs.launchpad.net/terminator/+bug/1781562

Comment 8 Egmont Koblinger 2019-12-20 20:08:39 UTC
The inline patch from comment 1 works with python 2, but no longer with python 3. See bug 1573927 for details and pointer to a patch that supports python 3.

Comment 9 Matt Rose 2019-12-20 20:13:05 UTC
Just so that I don't have to do this lookup again, this patch is what Egmont is referring to

-        self.vte.feed_child(text, len(text))
+        # See https://gitlab.gnome.org/GNOME/vte/issues/201.
+        self.vte.feed_child_binary(text.encode(self.vte.get_encoding()))

With a note that there are other similar changes that need to be made.

Comment 10 Matt Rose 2019-12-21 03:49:59 UTC
This was fixed in terminator-1.91-12 that I built earlier this week and is currently in rawhide (F32).


Note You need to log in before you can comment on or make changes to this bug.